cpphlib.PPLCDHANDLER Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Members

Public Member Functions | Public Attributes
cpphlib.PPLCDHANDLER Class Reference

LCD handler. More...

List of all members.

## Public Member Functions
def | __init__
| Documentation for method.
def | setlcdcontrolleraddress
| Documentation for method.
def | selftest
| Documentation for method.
def | initlight
| Documentation for method.
def | clear
def | cursor
| Documentation for method.
def | blink
| Documentation for method.
def | backlight
| Documentation for method.
def | printat
| Documentation for method.
## Public Attributes
| CAEIF
| IOIF
| LCDControllerAddress

## Detailed Description

LCD handler.

With the help of this class, you can write to alphanumeric LCD displays, clear screen and switch cursor, cursorblinking, or even backlight. You can give system commands to the LCD driver card regarding selftest, and backlight used during boot process. After creating the instance of the class you need to give the jumpered address of the card to send the commands to. The address can be changed on the, fly this way more cards can be driven using only one instance.

## Constructor & Destructor Documentation

def cpphlib.PPLCDHANDLER.__init__ | ( |  | self,
|  |  | CAEIF,
|  |  | IOIF
| ) |  |

Documentation for method.

Constructs PPLCDHANDLER class.

Parameters:

  CAEIF | CAE interface instance is already connected to ppds.
  IOIF | IO interface instance is already connected to ppds.
      Short description: Constructs PPLCDHANDLER class

## Member Function Documentation

def cpphlib.PPLCDHANDLER.backlight | ( |  | self,
|  |  | State
| ) |  |

Documentation for method.

Parameters:

  State | If State value is "ON", then LCD backlight goes on, if the State value is "OFF", LCD backlight goes off
      Short description: It switches backlight

def cpphlib.PPLCDHANDLER.blink | ( |  | self,
|  |  | State
| ) |  |

Documentation for method.

Parameters:

  State | If State value is "ON", then cursor goes blingking, (only if cursor is on), if State value is "OFF", cursor does not blink.
      Short description: It switches cursor blinking

def cpphlib.PPLCDHANDLER.clear | ( |  | self | ) |

    Short description: It clears LCD display

def cpphlib.PPLCDHANDLER.cursor | ( |  | self,
|  |  | State
| ) |  |

Documentation for method.

Parameters:

  State | If State value is "ON", then cursor switches on, if State value is "OFF", cursor switches off
      Short description: It swithces cursor

def cpphlib.PPLCDHANDLER.initlight | ( |  | self,
|  |  | State
| ) |  |

Documentation for method.

Parameters:

  State | If State is set to "ENABLE" LCD backlight switches on at booting. If State is set to "DISABLE", LCD backlight does not swith on at booting. Card remembers for the setting, and acts as set until different setting. LCD backlight can be switched on and off using backlight method any time.
      Short description: It allows backlight at booting

def cpphlib.PPLCDHANDLER.printat | ( |  | self,
|  |  | Column,
|  |  | Row,
|  |  | Text
| ) |  |

Documentation for method.

It writes text to the required position. Upper right corner of the dislplay is position "0,0".

Parameters:

  Column | Vertical position of the text
  Row | Horisontal position of the text
  Text | The text to display
      Short description: It writes text to the required position

def cpphlib.PPLCDHANDLER.selftest | ( |  | self,
|  |  | State
| ) |  |

Documentation for method.

Parameters:

  State | If State is set to "ENABLE" LCD selftest runs at booting. If State is set to "DISABLE", selftest does not run. Card remembers for the setting, and acts as set until different setting.
      Short description: It allows selftest at booting

def cpphlib.PPLCDHANDLER.setlcdcontrolleraddress | ( |  | self,
|  |  | Address
| ) |  |

Documentation for method.

Parameters:

  Address | Is the address of the card
      Short description: It sets address of LCD driver card

The documentation for this class was generated from the following file:

- cpphlib.py